@echo off
echo [1/4] Clearing old files...
rd /s /q "out/app"

echo [2/4] Building game...
jpackage --type app-image ^
  --dest "out/app" ^
  --name "JGame2D" ^
  --input "out/artifacts/JGame2D_jar" ^
  --main-jar "JGame2D.jar" ^
  --main-class de.miaurizius.jgame2d.core.Boot

echo [3/4] Copy assets
robocopy "assets" "out/app/JGame2D/assets" /e > nul

echo [4/4] Zipping...
cd out\app
tar -a -c -f ..\JGame2D.zip JGame2D

cd ../..

echo Done!